Get Attachments
Notes
Get Attachments
Return attachments with optional filtering.
If note_id is provided, returns a simple list of attachments for that note. Otherwise, returns attachments grouped by day with pagination support. If patient_id is provided, returns attachments for that patient only.
GET
Get Attachments
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Response
Successful Response
- AttachmentDayPage · object
- NoteAttachmentResponse · object[]
Represents a single day page of attachments for infinite scrolling by date.
- date: The local day these attachments belong to (based on provided tz)
- data: All attachments created on that day
- next_date: The previous day (if any) that contains at least one attachment under the same inclusion rules, to be used as the cursor for the next page.
